petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPMonitorSAWs

monitor solution using SAWs

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorSAWs(KSP ksp,PetscInt n,PetscReal rnorm,void *ctx)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| ctx | - PetscViewer of type SAWs

### Keywords

KSP, CG, monitor, SAWs, singular values

### See Also

KSPMonitorSingularValue(), KSPComputeExtremeSingularValues(), PetscViewerSAWsOpen()

### Level

advanced

### Location

src/ksp/ksp/interface/saws/kspsaws.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages